# Create affiliate coupon

{% hint style="warning" %}
Affiliate coupons can only be created for affiliates belonging to campaigns that have a campaign coupon associated with them.  This must be done via the Rewardful dashboard.
{% endhint %}

## Request

| Method | URL                                                 |
| ------ | --------------------------------------------------- |
| `POST` | `https://api.getrewardful.com/v1/affiliate_coupons` |

### Parameters

| Parameter      | Required | Description                                                                                                                                 |
| -------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| `affiliate_id` | `yes`    | The ID of the affiliate this coupon will be created for                                                                                     |
| `token`        | `yes`    | The actual alphanumeric coupon or promo code. It must be identical to one defined in Stripe, otherwise sales won't be tracked in Rewardful. |

### Example

```bash
curl --request POST \
  --url https://api.getrewardful.com/v1/affiliate_coupons \
  -u YOUR_API_SECRET: \
  -d affiliate_id=f46a912b-08bc-4332-8771-c857e11ad9dd \
  -d token=MYCODE
```

## Response

{% tabs %}
{% tab title="Success" %}

| Response code | Body                                                                                                     |
| ------------- | -------------------------------------------------------------------------------------------------------- |
| `200`         | The created [affiliate coupon object](/rest-api/affiliate-coupons/the-affiliate-coupon-object.md) (JSON) |
| {% endtab %}  |                                                                                                          |

{% tab title="Failures" %}

### Invalid parameters

| Response code | body                                      |
| ------------- | ----------------------------------------- |
| `422`         | JSON object describing validation errors. |

```json
{
  "error": "Could not create affiliate coupon.",
  "details": ["Token can't be blank. "]
}
```

### Authentication failure

| Response code | Body                                         |
| ------------- | -------------------------------------------- |
| `401`         | JSON object describing authentication error. |

```json
{  "error": "Invalid API Secret." }
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.rewardful.com/rest-api/affiliate-coupons/create-affiliate-coupon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
